Bug 864655 - [abrt] audacious-3.2.4-1.fc17: event_execute: g_free -> double free or corruption (out): Process /usr/bin/audacious was killed by signal 6 (SIGABRT)
[abrt] audacious-3.2.4-1.fc17: event_execute: g_free -> double free or corrup...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:d53535c066ca897db5933dd0ccb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 17:09 EDT by jack2see
Modified: 2013-01-12 14:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-12 14:14:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.59 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: environ (1.42 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: backtrace (23.77 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: maps (86.24 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: dso_list (13.30 KB, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: var_log_messages (148 bytes, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details
File: open_fds (714 bytes, text/plain)
2012-10-09 17:09 EDT, jack2see
no flags Details

  None (edit)
Description jack2see 2012-10-09 17:09:16 EDT
Version-Release number of selected component:
audacious-3.2.4-1.fc17

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
backtrace_rating: 4
cmdline:        audacious
crash_function: event_execute
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (2 frames)
: #6 event_execute at eventqueue.c:49
: #12 gtk_main at gtkmain.c:1161
Comment 1 jack2see 2012-10-09 17:09:19 EDT
Created attachment 624268 [details]
File: core_backtrace
Comment 2 jack2see 2012-10-09 17:09:21 EDT
Created attachment 624269 [details]
File: environ
Comment 3 jack2see 2012-10-09 17:09:23 EDT
Created attachment 624270 [details]
File: backtrace
Comment 4 jack2see 2012-10-09 17:09:25 EDT
Created attachment 624271 [details]
File: limits
Comment 5 jack2see 2012-10-09 17:09:27 EDT
Created attachment 624272 [details]
File: cgroup
Comment 6 jack2see 2012-10-09 17:09:30 EDT
Created attachment 624273 [details]
File: maps
Comment 7 jack2see 2012-10-09 17:09:32 EDT
Created attachment 624274 [details]
File: dso_list
Comment 8 jack2see 2012-10-09 17:09:34 EDT
Created attachment 624275 [details]
File: proc_pid_status
Comment 9 jack2see 2012-10-09 17:09:36 EDT
Created attachment 624276 [details]
File: var_log_messages
Comment 10 jack2see 2012-10-09 17:09:38 EDT
Created attachment 624277 [details]
File: open_fds
Comment 11 Michael Schwendt 2012-11-27 13:25:50 EST
For unknown reasons, I haven't been notified about this ticket.

It's a crash in glibc memory deallocation: "double free or corruption (out)"

Is is reproducible for you? Can you give a bit of context, please? Do you know a test-case?


#2  0x00000032f9e74e6b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x32f9f78908 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x00000032f9e7bfee in malloc_printerr (ptr=0x7fe31004ac20, str=0x32f9f789a8 "double free or corruption (out)", action=3) at malloc.c:5027
#4  _int_free (av=0x32fa1b0720, p=0x7fe31004ac10, have_lock=0) at malloc.c:3948
#5  0x00000032fbe4d50f in g_free (mem=0x7fe31004ac20) at gmem.c:252
No locals.
#6  0x0000003305a05ffe in event_execute (event=0x25882a0, event@entry=<error reading variable: value has been optimized out>) at eventqueue.c:49
...

Note You need to log in before you can comment on or make changes to this bug.